Download it now!
Bug 132735 - Colibre: Wrong Icons for Smooth Graphic Filter
Summary: Colibre: Wrong Icons for Smooth Graphic Filter
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2020-05-05 18:17 UTC by Rizal Muttaqin
Modified: 2020-06-03 16:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Smooth Image Filter in Colibre (6.21 KB, image/png)
2020-05-05 18:17 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-05-05 18:17:51 UTC
Created attachment 160398 [details]
Smooth Image Filter in Colibre

Step to reproduce

1. Insert an image in any module

2. In the image toolbar, there's Filter toolbox with all available filter for image

3. Look at the smooth icon

The icon for does not convey what it is for. Smooth filter use color painter.

If we see other icon theme, Smooth filter use dropped water
Comment 1 Commit Notification 2020-05-05 22:07:29 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d8a52f21ce23a37f7d11375017596eee576f25be

Colibre: Fix for tdf#132735 wrong Smooth Image Filter icons

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-05-06 02:38:11 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/efa7329fd9d71b75e10a2a5a8fd24bbe1a23fe66

Colibre: Fix for tdf#132735 wrong Smooth Image Filter icons

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.